Recent

Author Topic: [Solved] Question about Updating to 2.0  (Read 1463 times)

OLLI_S

  • Full Member
  • ***
  • Posts: 111
[Solved] Question about Updating to 2.0
« on: February 10, 2019, 12:03:09 pm »
Hello,

I have Lazarus 1.8.4 (also the Add-On for building and debugging 32bit Windows applications).
I also installed some packages (like the AnchorDockingDsgn, the Online package manger and from the Online package manger I installed some packages like RichMemo and others).

When I start the installer of Lazarus 2.0, he suggests to uninstall the previous version first.
If I do this I fear to loose all my settings and packages.

So can I install Lazarus 2.0 over 1.8.4 without uninstalling 1.8.4?
If an un-installation is recommended: can I export my settings and packages so I don't have to set them up manually again?

Thank you for your help!

Best regards

OLLI
« Last Edit: March 08, 2019, 05:11:58 pm by OLLI_S »

dbannon

  • Hero Member
  • *****
  • Posts: 600
    • tomboy-ng, a rewrite of the classic Tomboy
Re: Question about Updating to 2.0
« Reply #1 on: February 10, 2019, 12:16:39 pm »
Olli_s, if (and only if) you want to accept advice from a non windows user ....

Your current install was probably a combined FPC and Lazarus package ?

What you could do is make a separate install of Lazarus and continue to use your existing FPC. You could do that separate install by using, perhaps fpcupdelux or just pull down the lazarus source and compiling it yourself.

Once you have a separate install of Lazarus, you can start the new one with a command line parameter (eg)   --pcp=.laz_200       That will ensure the new install keeps all its config in a separate place.

I believe windows lets you make a short cut that gets command line parameters ?? Easy thing would be to make each one a shortcut to its own version of the 'lazarus' executable. And don't forget that --pcp !

Davo

That
Lazarus 1.8, Linux (and reluctantly Win10, OSX)
My Project - https://github.com/tomboy-notes/tomboy-ng

JuhaManninen

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 3611
  • I like bugs.
Re: Question about Updating to 2.0
« Reply #2 on: February 10, 2019, 12:50:23 pm »
dbannon, there is no need for fpcupdeluxe or pulling down sources.
He clearly wants to install the new release version 2.0.0.
Yes, the old 1.8.4 must be uninstalled first but it will not delete the local configuration.
The same packages will be installed again after a rebuild.

wp

  • Hero Member
  • *****
  • Posts: 5994
Re: Question about Updating to 2.0
« Reply #3 on: February 10, 2019, 01:13:29 pm »
No, the new version can exist without interfering with an old one if you select the "Create secondary installation" option in the installer, select a new "Folder for config" and don't register any file extensions. I have a lot of these installations on my HD. On Windows I never uninstalled any Lazarus.

The only draw-back (as with every new installation) is that the new installation starts with default settings and only the basic packages installed. So, when you first start the new Lazarus you should go to "Package" > "Install/Uninstall packages" and install all the packages that come with Lazarus and are not installed by default, among them the Online-Package-Manger with which you can get yourself the other packages. I have a lot of packages which are not contained in OPM or are at an advanced version - these must be installed separately. Seems like a lot of work, but I do not want to have every package that I once worked with in every installation - I install what I can remember and leave the rest to the IDE to tell me what is missing when I load a project.

You might be tempted to copy some config files from the old "Folder of config" to the new one - I would not recommend this because it will bring paths of the old installation into the new one and this could result in strange effects. But I have only a few changes that I make to the IDE (classic keyboard layout, don't load previous project, language English, etc).
Lazarus trunk / fpc 3.0.4 / all 32-bit on Win-10

OLLI_S

  • Full Member
  • ***
  • Posts: 111
Re: Question about Updating to 2.0
« Reply #4 on: February 10, 2019, 08:44:26 pm »
I simply want to upgrade my existing installation and keep all my settings and installed Add-Ons and installed packages.

wp

  • Hero Member
  • *****
  • Posts: 5994
Re: Question about Updating to 2.0
« Reply #5 on: February 10, 2019, 08:53:31 pm »
You can't, at least not easily.

Hmmm... If your old version is in a neutrally-named folder (e.g. c:\lazarus instead of c:\lazarus184) you could try this (not tested...):
  • Make a backup copy of your installation folder, just to make sure. Make a backup copy of your profile folder (usually c:\users\<your name>\appdata\local\lazarus, or the folder that you specified as --pcp in the lazarus.cfg file or as commandline parameter).
  • Delete your installation folder
  • Install the new version in the same folder; make sure that the same profile folder is used.
  • Run Lazarus; there will be a message prompting you to confirm the upgrade. If the new Laz version did not radically change settings it may work, maybe not - don't blame me. If it works rebuild the IDE (menu "Tools") to install your components. If it does not delete the new installation and rename the backup folders back.
« Last Edit: February 10, 2019, 09:06:15 pm by wp »
Lazarus trunk / fpc 3.0.4 / all 32-bit on Win-10

Martin_fr

  • Administrator
  • Hero Member
  • *
  • Posts: 5515
    • wiki
Re: Question about Updating to 2.0
« Reply #6 on: February 10, 2019, 09:03:57 pm »
You can try....

If you do, the minimum you must do, is to go to Tools > Configure Build Lazarus
and do a clean build.
Even better, find and delete all *.ppu and *.o files in the install dir.
It may or may not work

Your settings are stored in the "primary config path". They are not removed by the installer (The uninstaller has an options, but it is not set by default.)
Where your pcp is? Menu: View > Ide Internals > About IDE.

Also instead of an uninstall, you can delete all the files in your install folder. That will definitely be enough.
So if you did not copy any data into your install dir, then that is good.

One thing I am not sure: The packager directory in the install dir has "package links" (the location of packages) *.lpl .
I do not think any new files get created there, but in case.... copy it.

Or better yet, rename the existing dir, then install. That way you have a backup.




The list of which packages you installed should be in the PCP dir. (with the config).

After installing an update you need to rebuild your IDE once, for the packages to be installed again.

Should you get any complains a package can not be found (unlikely), then open the package from the package menu, close it again, and retry. The IDE will then know the location.


ASBzone

  • Full Member
  • ***
  • Posts: 239
  • Automation leads to relaxation...
    • BrainWaveCC Utilities
Re: Question about Updating to 2.0
« Reply #7 on: February 10, 2019, 11:03:24 pm »
So can I install Lazarus 2.0 over 1.8.4 without uninstalling 1.8.4?
If an un-installation is recommended: can I export my settings and packages so I don't have to set them up manually again?


No need to fear.


I've done lots of upgrades, both with deleting and without deleting.

Here's what I would recommend:


- Make a Zip backup of your entire Lazarus tree (e.g. C:\Lazarus, or wherever you actually installed it)
- Perform the upgrade right in place -- both the initial build and the cross compiler stuff
- Test it by compiling some of your existing apps
- If there are any issues, choose the RUN -> Clean Up & Build option
- Test it by compiling some of your existing apps

You should be fine.

If not, you can uninstall and reinstall cleanly, and you have the zip file to rely on, but I've only had to go there once, on one system, across multiple upgrades.



-ASB: https://www.BrainWaveCC.com

Lazarus v2.0.5 r61666 / FPC v3.2.0-beta-r42593 (via FpcUpDeluxe) -- Windows 64-bit install w/32-bit cross-compile
Primary System: Windows 10 Pro x64, Version 1903 (Build 18362.295)
Other Systems: Windows 10 Pro x64, Version 1809 or greater

OLLI_S

  • Full Member
  • ***
  • Posts: 111
Re: Question about Updating to 2.0
« Reply #8 on: March 08, 2019, 05:11:37 pm »
Hello,

It was very easy.
I just installed 2.0 and the installer uninstalled 1.8.4 (but not my settings).
Then I started 2.0 and had all my settings.

When I pressed F12 to see my form then I received the message that some packages are not yet installed.
Here I confirmed and Lazarus installed all required packages.

So everything working without having to install any packages or adjusting any settings manually.

Best regards

OLLI